Subject: Re: [PATCH v2 0/5] ci: add support for macOS to GitLab CI

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 22 Jan 2024 07:14:07 +0100

On Sun, Jan 21, 2024 at 02:50:05PM +0000, Phillip Wood wrote:
> Hi Patrick
> 
> On 18/01/2024 10:22, Patrick Steinhardt wrote:
> > Hi,
> > 
> > this is the second version of my patch series that adds a macOS job to
> > GitLab CI. Changes compared to v1:
> > 
> >    - Added a fix for a flaky test in t7527 that caused the pipeline to
> >      fail in ~50% of all runs.
> > 
> >    - Improved some commit messages.
> > 
> >    - Tests now write test data into a RAMDisk. This speeds up tests and
> >      fixes some hung pipelines I was seeing.
> > 
> > Thanks for your reviews so far!
> 
> I've read though all the patches and they seem sensible to me though I'm
> hardly a macOS expert. I did wonder about the use of pushd/popd in the
> fourth patch as they are bashisms but that matches what we're doing on
> Ubuntu already. It's nice to see the GitLab CI running on macOS as well as
> Linux now.

Yeah, that part is a bit weird, agreed. As you say, I basically copied
the code that we use on Ubuntu, and that is intentional because another
follow-up patch series will rip out that part and move the shared code
into a common "install-p4.sh" script. Like that, we can also easily use
this script on the Docker-based Ubuntu jobs.

Thanks for your review!

Patrick